const { SlashCommandBuilder, PermissionFlagsBits } = require('discord.js');
const { simpleEmbed } = require('../functions/embeds.js');

module.exports = {
  data: new SlashCommandBuilder()
    .setName('clear')
    .setDescription('Clear 1-100 messages')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator)
    .addNumberOption(option => option
      .setName('amount')
      .setDescription('The amount of messages to clear')
      .setRequired(true)),

  async execute(interaction) {
    const amount = interaction.options.getNumber('amount');

    if (amount < 1 || amount > 100) return await interaction.reply({ embeds: [simpleEmbed('The amount must be between 1-100')] });

    interaction.channel.bulkDelete(amount, true);

    await interaction.reply({ embeds: [simpleEmbed(`Cleared **${amount}** messages`)], ephemeral: true });
  },
};
